This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1007519 - VM removed after snapshot (NIC) removed
VM removed after snapshot (NIC) removed
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.5
Unspecified Unspecified
high Severity high
: ---
: 3.2.5
Assigned To: nobody nobody
Pavel Stehlik
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 12:21 EDT by Pavel Zhukov
Modified: 2014-06-18 03:22 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 08:29:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2013-09-12 12:21:18 EDT
Description of problem:
After removing of the VM device (snapshot or NIC) VM was removed (org.ovirt.engine.core.bll.RemoveVmCommand was called). 

Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.1.0-55.el6ev.noarch
rhevm-3.1.0-55.el6ev.noarch

How reproducible:
twice (we don't have known reproducer yet

Steps to Reproduce:
1. Create snapshot
2. Remove snapshot
3. VM is removed

1. Create 3 NICs
2. Remove all NICs one-by-one
3. VM is removed

Actual results:
VM is removed


Additional info:
GWT debugging was not enabled so frontend logs are not uvailable unfotunately. 

timestamps:

=== engine.log ===

2013-09-12 09:28:40,177 INFO  [org.ovirt.engine.core.bll.RemoveVmCommand] (ajp-/127.0.0.1:8702-5) Lock Acquired to object EngineLock [exclusiveLocks= key: 933f03ae-fd25-4e6c-b2ea-46de283d5daa value: VM
, sharedLocks= ]
2013-09-12 09:28:40,192 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp-/127.0.0.1:8702-5) START, IsValidVDSCommand( storagePoolId = 12d918c7-4ca5-47b5-815e-2697af17767b, ignoreFailoverLimit = false, compatabilityVersion = null), log id: 583e6ba0
2013-09-12 09:28:40,194 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp-/127.0.0.1:8702-5) FINISH, IsValidVDSCommand, return: true, log id: 583e6ba0
Comment 4 Omer Frenkel 2013-09-16 09:58:15 EDT
are there steps to reproduce? I cannot reproduce this.
did it happen again? 

the log indicated the request came from the user ('internal' flag is false):
2013-09-12 09:28:40,243 INFO  [org.ovirt.engine.core.bll.RemoveVmCommand] (pool-4-thread-48) [739f640c] Running command: RemoveVmCommand internal: false. Entities affected :  ID: 933f03ae-fd25-4e6c-b2ea-46de283d5daa Type: VM

also no errors in the log before or after the remove nic flow.
errors in server log are 2 days before this issue.

is there any chance another user was working on the system? or it was removed by mistake?
Comment 13 Michal Skrivanek 2013-10-08 03:46:23 EDT
well, then the only possibility seems to be they did that by mistake in the GUI. I'd CLOSE the bug...

Note You need to log in before you can comment on or make changes to this bug.